/[gentoo-x86]/sys-apps/policycoreutils/ChangeLog
Gentoo

Diff of /sys-apps/policycoreutils/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.69 Revision 1.151
1# ChangeLog for sys-apps/policycoreutils 1# ChangeLog for sys-apps/policycoreutils
2# Copyright 2000-2008 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/sys-apps/policycoreutils/ChangeLog,v 1.69 2008/05/26 15:03:39 pebenito Exp $ 3# $Header: /var/cvsroot/gentoo-x86/sys-apps/policycoreutils/ChangeLog,v 1.151 2015/04/18 21:49:41 perfinion Exp $
4
5 18 Apr 2015; Jason Zaman <perfinion@gentoo.org>
6 -policycoreutils-2.3-r2.ebuild, -policycoreutils-2.4_rc6-r1.ebuild,
7 -policycoreutils-2.4_rc7.ebuild:
8 Drop old RCs
9
10 04 Mar 2015; Sven Vermeulen <swift@gentoo.org> policycoreutils-2.4.ebuild:
11 Fix build failure on x32 (bug #541618)
12
13 06 Feb 2015; Jason Zaman <perfinion@gentoo.org> policycoreutils-2.3-r3.ebuild:
14 Stablize 2.3-r3
15
16*policycoreutils-2.4 (04 Feb 2015)
17
18 04 Feb 2015; Jason Zaman <perfinion@gentoo.org> +policycoreutils-2.4.ebuild:
19 Version bump
20
21*policycoreutils-2.4_rc7 (06 Dec 2014)
22*policycoreutils-2.3-r3 (06 Dec 2014)
23
24 06 Dec 2014; Jason Zaman <perfinion@gentoo.org>
25 +policycoreutils-2.3-r3.ebuild, +policycoreutils-2.4_rc7.ebuild,
26 -policycoreutils-2.4_rc2.ebuild, -policycoreutils-2.4_rc5.ebuild,
27 -policycoreutils-2.4_rc6.ebuild,
28 files/0020-disable-autodetection-of-pam-and-audit.patch,
29 files/0030-make-inotify-check-use-flag-triggered.patch,
30 policycoreutils-2.4_rc6-r1.ebuild:
31 version bump and ebuild clean up, drop old RC
32
33*policycoreutils-2.4_rc6-r1 (22 Nov 2014)
34
35 22 Nov 2014; Jason Zaman <perfinon@gentoo.org>
36 +files/0001-policycoreutils-pp-add-roletype-statements-for-both-.patch,
37 +policycoreutils-2.4_rc6-r1.ebuild:
38 add patch from upstream to fix missing roletypes
39
40*policycoreutils-2.4_rc6 (14 Nov 2014)
41
42 14 Nov 2014; Sven Vermeulen <swift@gentoo.org>
43 +policycoreutils-2.4_rc6.ebuild:
44 Bump to rc6
45
46*policycoreutils-2.4_rc5 (29 Oct 2014)
47
48 29 Oct 2014; Sven Vermeulen <swift@gentoo.org>
49 +policycoreutils-2.4_rc5.ebuild, -policycoreutils-2.4_rc4.ebuild,
50 policycoreutils-2.4_rc2.ebuild:
51 Bump to 2.4_rc5
52
53*policycoreutils-2.4_rc4 (07 Oct 2014)
54
55 07 Oct 2014; Sven Vermeulen <swift@gentoo.org>
56 +policycoreutils-2.4_rc4.ebuild:
57 Bump to 2.4-rc4
58
59*policycoreutils-2.4_rc2 (21 Sep 2014)
60
61 21 Sep 2014; Sven Vermeulen <swift@gentoo.org>
62 +files/0010-remove-sesandbox-support.patch,
63 +files/0020-disable-autodetection-of-pam-and-audit.patch,
64 +files/0030-make-inotify-check-use-flag-triggered.patch,
65 +files/0040-reverse-access-check-in-run_init.patch,
66 +files/0070-remove-symlink-attempt-fails-with-gentoo-sandbox-approach.patch,
67 +files/0110-build-mcstrans-bug-472912.patch,
68 +files/0120-build-failure-for-mcscolor-for-CONTEXT__CONTAINS.patch,
69 +policycoreutils-2.4_rc2.ebuild, policycoreutils-2.3-r2.ebuild:
70 Noved to github; also add in masked 2.4 series
71
72 05 Aug 2014; Sven Vermeulen <swift@gentoo.org>
73 -policycoreutils-2.2.5-r2.ebuild, -policycoreutils-2.3-r1.ebuild,
74 -policycoreutils-2.3.ebuild, metadata.xml:
75 Remove obsoleted ebuilds
76
77 30 Jul 2014; Sven Vermeulen <swift@gentoo.org> policycoreutils-2.3-r2.ebuild:
78 Fix bug #514194 - Stabilization of SELinux userspace 2.3
79
80*policycoreutils-2.3-r2 (28 May 2014)
81
82 28 May 2014; Sven Vermeulen <swift@gentoo.org> +policycoreutils-2.3-r2.ebuild:
83 Fix selocal attribute validation
84
85*policycoreutils-2.3-r1 (26 May 2014)
86
87 26 May 2014; Sven Vermeulen <swift@gentoo.org> +policycoreutils-2.3-r1.ebuild:
88 Fix selocal to support dontaudit as well. Also verify types, attributes and
89 roles before adding them.
90
91 10 May 2014; Sven Vermeulen <swift@gentoo.org>
92 -policycoreutils-2.1.14-r1.ebuild, -policycoreutils-2.1.14-r2.ebuild,
93 -policycoreutils-2.1.14-r3.ebuild, -policycoreutils-2.1.14-r4.ebuild,
94 -policycoreutils-2.1.14-r5.ebuild, -policycoreutils-2.2.1-r1.ebuild,
95 -policycoreutils-2.2.5-r1.ebuild, -policycoreutils-2.2.5-r3.ebuild,
96 -policycoreutils-2.3_rc1.ebuild, -policycoreutils-2.3_rc1-r1.ebuild,
97 -files/policycoreutils-extra-1.21-fix-python3.patch:
98 Spring cleanup
99
100 10 May 2014; Sven Vermeulen <swift@gentoo.org>
101 policycoreutils-2.2.5-r4.ebuild:
102 Stabilize to work around vulnerability CVE-2014-3215
103
104*policycoreutils-2.3 (09 May 2014)
105
106 09 May 2014; Sven Vermeulen <swift@gentoo.org> +policycoreutils-2.3.ebuild:
107 Bump to 2.3
108
109*policycoreutils-2.3_rc1-r1 (09 May 2014)
110
111 09 May 2014; Sven Vermeulen <swift@gentoo.org>
112 +policycoreutils-2.2.5-r4.ebuild, +policycoreutils-2.3_rc1-r1.ebuild:
113 Do not build seunshare/sesandbox, cfr bug #509896
114
115*policycoreutils-2.3_rc1 (28 Apr 2014)
116
117 28 Apr 2014; Sven Vermeulen <swift@gentoo.org>
118 +policycoreutils-2.3_rc1.ebuild:
119 2.3-rc1 release
120
121*policycoreutils-2.2.5-r3 (19 Apr 2014)
122
123 19 Apr 2014; Sven Vermeulen <swift@gentoo.org>
124 +policycoreutils-2.2.5-r3.ebuild, policycoreutils-2.2.5-r1.ebuild:
125 Fix bug #507992 - Do not push out restorecond init script if restorecond
126 should not be installed
127
128 20 Jan 2014; Sven Vermeulen <swift@gentoo.org>
129 policycoreutils-2.2.5-r2.ebuild:
130 Stabilize for amd64 and x86
131
132*policycoreutils-2.1.14-r5 (12 Jan 2014)
133
134 12 Jan 2014; Sven Vermeulen <swift@gentoo.org>
135 +policycoreutils-2.1.14-r5.ebuild:
136 Backport BUILD_DIR change to 2.1.14 (needed to have runscript_selinux follow
137 USE flag info)
138
139*policycoreutils-2.2.5-r2 (12 Jan 2014)
140
141 12 Jan 2014; Sven Vermeulen <swift@gentoo.org>
142 +policycoreutils-2.2.5-r2.ebuild:
143 Use python builddir locations for installation, otherwise a non-built
144 directory will be used, dismissing all configuration variables mentioned
145 earlier
146
147 23 Dec 2013; Sven Vermeulen <swift@gentoo.org>
148 -policycoreutils-2.1.13-r3.ebuild, -policycoreutils-2.1.13-r4.ebuild,
149 -policycoreutils-2.1.13-r5.ebuild, -policycoreutils-2.1.13-r6.ebuild,
150 -policycoreutils-2.1.13-r7.ebuild, -policycoreutils-2.1.13-r8.ebuild,
151 -policycoreutils-2.1.13-r9.ebuild, -policycoreutils-2.1.13-r10.ebuild,
152 -policycoreutils-2.1.13-r11.ebuild:
153 Cleanup old versions
154
155*policycoreutils-2.2.5-r1 (10 Dec 2013)
156
157 10 Dec 2013; Sven Vermeulen <swift@gentoo.org>
158 +policycoreutils-2.2.5-r1.ebuild:
159 Adding 2.2.5 release
160
161*policycoreutils-2.2.1-r1 (04 Nov 2013)
162
163 04 Nov 2013; Sven Vermeulen <swift@gentoo.org>
164 +policycoreutils-2.2.1-r1.ebuild:
165 New policycoreutils release
166
167 04 Nov 2013; Sven Vermeulen <swift@gentoo.org>
168 policycoreutils-2.1.14-r4.ebuild:
169 Stabilize
170
171*policycoreutils-2.1.14-r4 (13 Aug 2013)
172
173 13 Aug 2013; Sven Vermeulen <swift@gentoo.org>
174 +policycoreutils-2.1.14-r4.ebuild:
175 Document setfiles in rlpkg, improve selocal resilience
176
177 07 Jul 2013; Sven Vermeulen <swift@gentoo.org>
178 -policycoreutils-2.1.10-r5.ebuild:
179 Summer cleaning
180
181*policycoreutils-2.1.14-r3 (07 Jul 2013)
182
183 07 Jul 2013; Sven Vermeulen <swift@gentoo.org>
184 +policycoreutils-2.1.14-r3.ebuild:
185 Switch to python-r1 eclass, add in mcstrans (bug #472912)
186
187 16 Jun 2013; Sven Vermeulen <swift@gentoo.org>
188 policycoreutils-2.1.14-r2.ebuild:
189 Stabilization
190
191 10 May 2013; Sven Vermeulen <swift@gentoo.org> metadata.xml:
192 Add in CPE data for policycoreutils, historical CVEs use redhat as
193 application vendor
194
195*policycoreutils-2.1.14-r2 (07 May 2013)
196
197 07 May 2013; Sven Vermeulen <swift@gentoo.org>
198 +policycoreutils-2.1.14-r2.ebuild:
199 Fix bugs 467268 (yum bindings), 468832 (key error), 468830 (mls range
200 dependency)
201
202*policycoreutils-2.1.14-r1 (25 Apr 2013)
203
204 25 Apr 2013; Sven Vermeulen <swift@gentoo.org>
205 +policycoreutils-2.1.14-r1.ebuild:
206 New upstream release
207
208*policycoreutils-2.1.13-r11 (19 Apr 2013)
209
210 19 Apr 2013; Sven Vermeulen <swift@gentoo.org>
211 +policycoreutils-2.1.13-r11.ebuild:
212 Add selocal command to policycoreutils
213
214*policycoreutils-2.1.13-r10 (16 Apr 2013)
215
216 16 Apr 2013; Sven Vermeulen <swift@gentoo.org>
217 +policycoreutils-2.1.13-r10.ebuild:
218 Fix bugs #463222 (newrole O_RDWR) and #464808 (hardcoded python3.1 in rlpkg)
219
220 16 Apr 2013; Sven Vermeulen <swift@gentoo.org>
221 -policycoreutils-2.1.10-r1.ebuild, -policycoreutils-2.1.10-r3.ebuild,
222 -policycoreutils-2.1.10-r4.ebuild, -policycoreutils-2.1.10.ebuild:
223 Some cleanup (older release unstables)
224
225 16 Apr 2013; Sven Vermeulen <swift@gentoo.org>
226 policycoreutils-2.1.13-r9.ebuild:
227 Stabilize policycoreutils-2.1.13-r9
228
229*policycoreutils-2.1.13-r9 (19 Mar 2013)
230
231 19 Mar 2013; Sven Vermeulen <swift@gentoo.org>
232 +policycoreutils-2.1.13-r9.ebuild:
233 Fix bug #457786 - Link runscript_selinux with crypt
234
235*policycoreutils-2.1.13-r8 (10 Mar 2013)
236
237 10 Mar 2013; Sven Vermeulen <swift@gentoo.org>
238 +policycoreutils-2.1.13-r8.ebuild:
239 Adding selinux_gentoo init script for initramfs and cpu/online support
240 (#456914)
241
242*policycoreutils-2.1.13-r7 (09 Mar 2013)
243
244 09 Mar 2013; Sven Vermeulen <swift@gentoo.org>
245 +policycoreutils-2.1.13-r7.ebuild:
246 Update policycoreutils-extras to fix build failure when not building with PAM
247 support, see bug #457786
248
249*policycoreutils-2.1.13-r6 (30 Dec 2012)
250
251 30 Dec 2012; Sven Vermeulen +policycoreutils-2.1.13-r6.ebuild,
252 policycoreutils-2.1.13-r5.ebuild:
253 Stabilize r5, get r6 available as well which fixes rlpkg to include zfs
254 support
255
256*policycoreutils-2.1.13-r5 (17 Nov 2012)
257
258 17 Nov 2012; <swift@gentoo.org> policycoreutils-2.1.13-r4.ebuild,
259 +policycoreutils-2.1.13-r5.ebuild:
260 Stabilization, move sesandbox support to next release
261
262*policycoreutils-2.1.13-r4 (14 Oct 2012)
263
264 14 Oct 2012; <swift@gentoo.org> +policycoreutils-2.1.13-r4.ebuild:
265 Remove support for python3 until upstream supports it
266
267 13 Oct 2012; <swift@gentoo.org> policycoreutils-2.1.13-r3.ebuild:
268 Supporting user-provided patches using epatch_user
269
270*policycoreutils-2.1.13-r3 (09 Oct 2012)
271
272 09 Oct 2012; <swift@gentoo.org> +policycoreutils-2.1.13-r3.ebuild:
273 Introducing new upstream release
274
275 06 Oct 2012; <swift@gentoo.org> policycoreutils-2.1.10-r5.ebuild:
276 Stabilize
277
278*policycoreutils-2.1.10-r5 (08 Sep 2012)
279
280 08 Sep 2012; <swift@gentoo.org> +policycoreutils-2.1.10-r5.ebuild:
281 Fix bug #427596 and #430806
282
283 10 Jul 2012; <swift@gentoo.org> policycoreutils-2.1.10-r3.ebuild:
284 Stabilization, drop libcgroup dependency along the way
285
286*policycoreutils-2.1.10-r4 (10 Jul 2012)
287
288 10 Jul 2012; <swift@gentoo.org> +policycoreutils-2.1.10-r4.ebuild:
289 Support refpolicy style audit2allow (#417199)
290
291 26 Jun 2012; Mike Gilbert <floppym@gentoo.org>
292 policycoreutils-2.1.10-r1.ebuild, policycoreutils-2.1.10-r3.ebuild,
293 policycoreutils-2.1.10.ebuild:
294 Restrict pypy per Arfrever.
295
296*policycoreutils-2.1.10-r3 (25 Jun 2012)
297
298 25 Jun 2012; <swift@gentoo.org>
299 +files/policycoreutils-extra-1.21-fix-python3.patch,
300 +policycoreutils-2.1.10-r3.ebuild:
301 Improve support for python3, fixes bug #416301
302
303 13 May 2012; <swift@gentoo.org> -policycoreutils-2.1.0-r1.ebuild,
304 -policycoreutils-2.1.0-r2.ebuild:
305 Removing obsoleted ebuilds
306
307*policycoreutils-2.1.10-r1 (29 Apr 2012)
308
309 29 Apr 2012; <swift@gentoo.org> policycoreutils-2.1.10.ebuild,
310 +policycoreutils-2.1.10-r1.ebuild:
311 Remove dependency on libcgroup (but drop sesandbox support along the way)
312
313 29 Apr 2012; <swift@gentoo.org> policycoreutils-2.1.10.ebuild:
314 Stabilization
315
316*policycoreutils-2.1.10 (31 Mar 2012)
317
318 31 Mar 2012; <swift@gentoo.org> +policycoreutils-2.1.10.ebuild, metadata.xml:
319 Bump to version 2.1.10
320
321 26 Feb 2012; <swift@gentoo.org> policycoreutils-2.1.0-r2.ebuild:
322 Stabilization
323
324 14 Jan 2012; <swift@gentoo.org> +policycoreutils-2.1.0-r2.ebuild,
325 metadata.xml:
326 Mark audit as a local USE flag
327
328*policycoreutils-2.1.0-r2 (14 Jan 2012)
329
330 14 Jan 2012; <swift@gentoo.org> +policycoreutils-2.1.0-r2.ebuild:
331 Override auto-detection of pam and audit, use USE flags for this
332
333 12 Nov 2011; <swift@gentoo.org> -policycoreutils-2.0.82.ebuild,
334 -policycoreutils-2.0.82-r1.ebuild, -policycoreutils-2.0.85.ebuild,
335 -policycoreutils-2.1.0.ebuild:
336 removing obsoleted ebuilds
337
338 23 Oct 2011; <swift@gentoo.org> policycoreutils-2.1.0-r1.ebuild:
339 Stabilization (tracker #384231)
340
341 23 Oct 2011; <swift@gentoo.org> policycoreutils-2.0.82-r1.ebuild:
342 Stabilize 2.0.82-r1 to fix #372807
343
344*policycoreutils-2.1.0-r1 (17 Sep 2011)
345
346 17 Sep 2011; <swift@gentoo.org> +policycoreutils-2.1.0-r1.ebuild:
347 Add /var/lib/selinux directory, needed for 'semodule permissive' support (bug
348 #381755)
349
350 02 Sep 2011; <swift@gentoo.org> policycoreutils-2.0.85.ebuild,
351 policycoreutils-2.1.0.ebuild:
352 Update patch locations to dev.g.o instead of files/ folder
353
354 12 Aug 2011; Anthony G. Basile <blueness@gentoo.org>
355 -policycoreutils-2.0.55.ebuild, -policycoreutils-2.0.69.ebuild,
356 -policycoreutils-2.0.69-r1.ebuild, -policycoreutils-2.0.69-r2.ebuild,
357 -files/policycoreutils-2.0.69-setfiles.diff:
358 Removed deprecated versions
359
360*policycoreutils-2.1.0 (03 Aug 2011)
361
362 03 Aug 2011; Anthony G. Basile <blueness@gentoo.org>
363 +policycoreutils-2.1.0.ebuild:
364 Bump to 20110727 SELinux userspace release
365
366*policycoreutils-2.0.85 (15 Jul 2011)
367
368 15 Jul 2011; Anthony G. Basile <blueness@gentoo.org>
369 +policycoreutils-2.0.85.ebuild,
370 +files/policycoreutils-2.0.85-fix-seunshare-vuln.patch.gz,
371 +files/policycoreutils-2.0.85-sesandbox.patch.gz:
372 Add fix for bug #374897 and initial support for python3
373
374 08 Jul 2011; Samuli Suominen <ssuominen@gentoo.org>
375 policycoreutils-2.0.55.ebuild, policycoreutils-2.0.69.ebuild,
376 policycoreutils-2.0.69-r1.ebuild, policycoreutils-2.0.69-r2.ebuild:
377 Convert from "useq" to "use".
378
379*policycoreutils-2.0.82-r1 (30 Jun 2011)
380
381 30 Jun 2011; Anthony G. Basile <blueness@gentoo.org>
382 +policycoreutils-2.0.82-r1.ebuild:
383 Overwrite invalid .po files with valid ones, fixes bug #372807
384
385 16 Jun 2011; Anthony G. Basile <blueness@gentoo.org>
386 policycoreutils-2.0.82.ebuild:
387 Drop use_nls dependency on gettext. Its mandatory. See bug #299681.
388 Also put gettext in COMMON_DEPS, it is more than a RDEPEND.
389
390 28 May 2011; Anthony G. Basile <blueness@gentoo.org>
391 policycoreutils-2.0.82.ebuild:
392 Stable amd64 x86
393
394 16 Apr 2011; Anthony G. Basile <blueness@gentoo.org> metadata.xml:
395 Updated metadata info.
396
397 08 Feb 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
398 policycoreutils-2.0.82.ebuild:
399 Set SUPPORT_PYTHON_ABIS (bug #353762). Fix dependencies. Fix installation
400 with FEATURES="multilib-strict".
401
402*policycoreutils-2.0.82 (05 Feb 2011)
403
404 05 Feb 2011; Anthony G. Basile <blueness@gentoo.org>
405 +policycoreutils-2.0.82.ebuild:
406 New upstream release.
407
408*policycoreutils-2.0.69-r2 (05 Feb 2011)
409
410 05 Feb 2011; Anthony G. Basile <blueness@gentoo.org>
411 +policycoreutils-2.0.69-r2.ebuild,
412 +files/policycoreutils-2.0.69-setfiles.diff:
413 Fixed bug #300613
414
415 04 Apr 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
416 policycoreutils-2.0.55.ebuild, policycoreutils-2.0.69.ebuild,
417 policycoreutils-2.0.69-r1.ebuild:
418 Delete calls to deprecated python_version().
419
420*policycoreutils-2.0.69-r1 (20 Sep 2009)
421
422 20 Sep 2009; Chris PeBenito <pebenito@gentoo.org>
423 +policycoreutils-2.0.69-r1.ebuild:
424 Update rlpkg for ext4 and btrfs.
425
426 14 Sep 2009; Chris PeBenito <pebenito@gentoo.org>
427 policycoreutils-2.0.69.ebuild:
428 Fix libsemanage DEP.
429
430 02 Aug 2009; Chris PeBenito <pebenito@gentoo.org>
431 policycoreutils-2.0.55.ebuild, policycoreutils-2.0.69.ebuild:
432 Add python_need_rebuild.
433
434*policycoreutils-2.0.69 (02 Aug 2009)
435
436 02 Aug 2009; Chris PeBenito <pebenito@gentoo.org>
437 +policycoreutils-2.0.69.ebuild:
438 New upstream release.
439
440 18 Jul 2009; Chris PeBenito <pebenito@gentoo.org>
441 -policycoreutils-1.34.15.ebuild, policycoreutils-2.0.55.ebuild:
442 Mark stable. Remove old ebuilds.
443
444*policycoreutils-2.0.55 (03 Oct 2008)
445
446 03 Oct 2008; Chris PeBenito <pebenito@gentoo.org>
447 +policycoreutils-2.0.55.ebuild:
448 Initial commit of policycoreutils 2.0.
449
450 29 May 2008; Ali Polatel <hawking@gentoo.org>
451 policycoreutils-1.34.15.ebuild:
452 python_mod_optimize is ROOT aware. Fixed python_mod_cleanup.
4 453
5 26 May 2008; Chris PeBenito <pebenito@gentoo.org> 454 26 May 2008; Chris PeBenito <pebenito@gentoo.org>
6 policycoreutils-1.34.15.ebuild: 455 policycoreutils-1.34.15.ebuild:
7 Fix libsemanage dependency. 456 Fix libsemanage dependency.
8 457
340*policycoreutils-1.0 (03 Aug 2003) 789*policycoreutils-1.0 (03 Aug 2003)
341 790
342 03 Aug 2003; Chris PeBenito <pebenito@gentoo.org> metadata.xml, 791 03 Aug 2003; Chris PeBenito <pebenito@gentoo.org> metadata.xml,
343 policycoreutils-1.0.ebuild, files/policycoreutils-1.0-gentoo.diff: 792 policycoreutils-1.0.ebuild, files/policycoreutils-1.0-gentoo.diff:
344 Initial commit 793 Initial commit
345

Legend:
Removed from v.1.69  
changed lines
  Added in v.1.151

  ViewVC Help
Powered by ViewVC 1.1.20